<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: TIMER_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">TIMER_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:gabb8d9df4695b742a04b52a7a64594322"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabb8d9df4695b742a04b52a7a64594322">CTL</a></td></tr>
<tr class="separator:gabb8d9df4695b742a04b52a7a64594322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a66d55fb7d20c3e12402aa320661d8f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6a66d55fb7d20c3e12402aa320661d8f">PRECNT</a></td></tr>
<tr class="separator:ga6a66d55fb7d20c3e12402aa320661d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91eb63011da0934d7d8edcfb58566417"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga91eb63011da0934d7d8edcfb58566417">CMPR</a></td></tr>
<tr class="separator:ga91eb63011da0934d7d8edcfb58566417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b93de0ad6cd08676926bcff6888c10d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1b93de0ad6cd08676926bcff6888c10d">IER</a></td></tr>
<tr class="separator:ga1b93de0ad6cd08676926bcff6888c10d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa7679f758ebbdcf746f8b03195364b47"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa7679f758ebbdcf746f8b03195364b47">ISR</a></td></tr>
<tr class="separator:gaa7679f758ebbdcf746f8b03195364b47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f5ea6a1af3b26e732ffec08d4d519f5"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7f5ea6a1af3b26e732ffec08d4d519f5">DR</a></td></tr>
<tr class="separator:ga7f5ea6a1af3b26e732ffec08d4d519f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4508d4ae8dda154e5e796090fcafff3"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac4508d4ae8dda154e5e796090fcafff3">TCAP</a></td></tr>
<tr class="separator:gac4508d4ae8dda154e5e796090fcafff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ecc606ca7cfd8c6693ec2d396b9e3d8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9ecc606ca7cfd8c6693ec2d396b9e3d8">RESERVE0</a> [1]</td></tr>
<tr class="separator:ga9ecc606ca7cfd8c6693ec2d396b9e3d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6e91877db4ad3b35116bbd1c281bda6"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf6e91877db4ad3b35116bbd1c281bda6">ECTL</a></td></tr>
<tr class="separator:gaf6e91877db4ad3b35116bbd1c281bda6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup TIMER Timer Controller(TIMER)
Memory Mapped Structure for TMR Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l09027">9027</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
